TrainFog Developers
Deals

Dettaglio deal

GET
/deals/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://api.trainfog.com/developers/v1.0/deals/string"
{
  "id": "688893ebd804d8588b1afbe0",
  "workspace": "688893ebd804d8588b1afbe0",
  "name": "Enterprise Renewal 2026",
  "amount": 12000,
  "currency": "EUR",
  "pipeline": "688893ebd804d8588b1afbe0",
  "stage": "688893ebd804d8588b1afbe0",
  "closeDate": "2019-08-24T14:15:22Z",
  "company": "688893ebd804d8588b1afbe0",
  "people": [
    "688893ebd804d8588b1afbe0"
  ],
  "products": [
    {
      "product": "688893ebd804d8588b1afbe0",
      "name": "Widget A",
      "quantity": 1,
      "price": 49.9
    }
  ],
  "traits": {},
  "owner": "string",
  "stageHistory": [
    {
      "stage": "688893ebd804d8588b1afbe0",
      "stageName": "Qualified",
      "enteredAt": "2019-08-24T14:15:22Z",
      "exitedAt": "2019-08-24T14:15:22Z",
      "durationMinutes": 0
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "Unauthorized"
}
{
  "error": "Not found"
}